Update networks for an L2 Segment
/v1/l2_segments/{l2_segment_id}/networksIt's possible to update L2 Segment networks by creating new ones or deleting existing ones. Use this PUT request sent to /v1/l2_segments/{l2_segment_id}/networks for this purpose. Pay attention to the segment's ID in the path parameters and specify what will be updated in the request body. The operation applies only to IPv4 networks.
Authorization
bearerAuth In: header
Path Parameters
A unique identifier of an L2 Segment.
Request Body
application/json
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/l2_segments/4QbYKezq/networks" \ -H "Content-Type: application/json" \ -d '{ "create": [ { "mask": 32, "distribution_method": "route" } ], "delete": [ "Jxbo8kdg", "8mepBmbM", "4zbq6kdp" ] }'{ "id": "4QbYKezq", "name": "name518", "type": "public", "status": "active", "location_group_id": 41, "location_group_code": "location1071", "labels": {}, "updated_at": "2026-05-28T06:58:42Z", "created_at": "2026-05-28T06:58:42Z"}{ "id": "J0dN6dLO", "name": "name510", "type": "public", "status": "pending", "location_group_id": 33, "location_group_code": "location1003", "labels": {}, "updated_at": "2026-05-28T06:58:39Z", "created_at": "2026-05-28T06:58:38Z"}{ "message": "Not ready", "code": "NOT_READY"}